Bug 725006 - Review Request: smokeqt - Bindings for Qt libraries
Review Request: smokeqt - Bindings for Qt libraries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All All
unspecified Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-07-22 10:56 EDT by Ngo Than
Modified: 2011-07-28 08:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-28 05:21:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ngo Than 2011-07-22 10:56:34 EDT
Spec URL: http://than.fedorapeople.org/rawhide/smokeqt.spec
SRPM URL:
http://than.fedorapeople.org/rawhide/smokeqt-4.6.95-1.fc15.src.rpm
Description: Bindings for Qt libraries

Split packaging for smokeqt.
Comment 1 Jaroslav Reznik 2011-07-27 07:16:16 EDT
(smokeqt-4.7.0 review)

Name: ok
Summary: ok
Group: ok
License: not, there's also COPYING.LIB with LGPLv2 (not plus?) license
Url: not ok, http://techbase.kde.org/Development/Languages/Smoke could be used (for all smoke related packages)
Source: ok (md5sum 504dd92fc50f7ccb9cc21ecf31e92da6)
BRs: ok
Conflicts: ?, does it makes sense to conflict with kdebindings in both main spec and -devel? shouldn't devel conflict with kdebindings-devel (but as main package is always needed...)?
Description: ok
Macros used consistently: ok
ldconfig: ok
Devel subpackage: ok

rpmlint smokeqt-4.7.0-1.fc15.src.rpm
smokeqt.src: W: invalid-url URL: http://developer.kde.org/language-bindings/ HTTP Error 404: Not Found
Comment 2 Ngo Than 2011-07-27 08:31:54 EDT
(In reply to comment #1)
> (smokeqt-4.7.0 review)
> 
> Name: ok
> Summary: ok
> Group: ok
> License: not, there's also COPYING.LIB with LGPLv2 (not plus?) license
fixed, license now includes LGPLv2+

> Url: not ok, http://techbase.kde.org/Development/Languages/Smoke could be used
> (for all smoke related packages)
fixed

> Conflicts: ?, does it makes sense to conflict with kdebindings in both main
> spec and -devel? shouldn't devel conflict with kdebindings-devel (but as main
> package is always needed...)?
fixed

could you please take a look at the new package smokeqt-4.7.0-1.fc15.src.rpm and specfile smokeqt.spec ?

thanks
Comment 3 Jaroslav Reznik 2011-07-27 09:35:46 EDT
Ok, thanks.

APPROVED based on http://than.fedorapeople.org/rawhide/smokeqt.spec
Comment 4 Ngo Than 2011-07-27 09:59:21 EDT
Thanks!

New Package SCM Request
=======================
Package Name: smokeqt
Short Description: Bindings for Qt libraries
Owners: than rdieter jreznik kkofler ltinkl rnovacek rrix
Branches: f15 f16
Comment 5 Gwyn Ciesla 2011-07-27 11:38:28 EDT
Git done (by process-git-requests).
Comment 6 Ngo Than 2011-07-28 05:21:44 EDT
imported and built http://koji.fedoraproject.org/koji/buildinfo?buildID=255970

Note You need to log in before you can comment on or make changes to this bug.